Bug 470650 - kde system tray is broken
kde system tray is broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On: kde42
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 05:48 EST by Artem
Modified: 2009-02-19 06:42 EST (History)
9 users (show)

See Also:
Fixed In Version: KDE 4.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 06:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system tray screenshot (81.78 KB, image/png)
2008-11-08 05:48 EST, Artem
no flags Details
system tray with hint screenshot (101.75 KB, image/png)
2008-11-08 05:50 EST, Artem
no flags Details

  None (edit)
Description Artem 2008-11-08 05:48:20 EST
Created attachment 322938 [details]
system tray screenshot

Description of problem:
kde's system tray is incorrectly shown, however when mouse is over "icon" then it's help menu is shown

Version-Release number of selected component (if applicable):
kdebase-workspace-4.1.2-11.fc10

How reproducible:
add a system tray widget
Comment 1 Artem 2008-11-08 05:50:20 EST
Created attachment 322940 [details]
system tray with hint screenshot

Having mouse over a "icon" hints are shown, context menu is correctly accessible
Comment 2 Artem 2008-11-16 06:12:00 EST
Found one very interesting thing, system tray is broken, when there is xorg.conf, booting X server without xorg.conf file - systray looks correct.
Comment 3 Bug Zapper 2008-11-26 00:02:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steven M. Parrish 2009-01-09 12:47:55 EST
Please report this upstream at http://bugs.kde.org  Then add upstream info to this report, and we will monitor upstream for resolution.
Comment 5 Rex Dieter 2009-01-09 12:53:35 EST
Naw, with kde-4.2 on the horizon, it will almost certainly improve any/all systray-related issues.  Let's wait on that.
Comment 6 Kevin Kofler 2009-01-09 14:11:38 EST
Right, this is almost certainly fixed in 4.2 by the systray rewrite.
Comment 7 Jaroslav Reznik 2009-01-12 03:52:25 EST
It's much more better in 4.2, nearly fixed - I encountered this issue once in 4.2 but I'm not able to reproduce it (latest trunk, nearly RC1). So it's OK now for daily use, please wait for 4.2 release.
Comment 8 Ngo Than 2009-01-28 08:27:33 EST
it's fixed in 4.2.0. i cannot reproduce it anymore
Comment 9 Fedora Update System 2009-02-04 21:26:42 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdeedu-4.2.0-2.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdelibs-4.2.0-7.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdeedu kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kde-l10n kdelibs kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 10 Kurt Bechstein 2009-02-05 22:56:23 EST
Just updated my kde to the kde 4.2 packages from updates-testing and I'm still seeing this problem with the systray plasmoid.  Is there something else that needs changed?  I saw a mention of something with the xorg config mentioned.
Comment 11 Fedora Update System 2009-02-06 00:23:47 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 12 Kurt Bechstein 2009-02-06 09:57:04 EST
I just ran the latest updates from updates-testing as there were some new packages released today and the systray plasmoid is still broken for me.  Any information I can provide that will help?
Comment 13 Jaroslav Reznik 2009-02-06 10:07:20 EST
I'm not sure we can do more than wait for upstream to fix it. It's much more better - overlapping is gone but background redraw issues are still visible.
Comment 14 Rex Dieter 2009-02-06 10:07:42 EST
shrug, broken is relative.  It's better, but remaining bugs lie with qt it seems, and for that to be addressed, qt-4.5 needs to land.
Comment 15 Fedora Update System 2009-02-07 17:20:43 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, kde-settings-4.1-6.20090206svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 kde-settings phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 16 Kevin Kofler 2009-02-09 13:02:16 EST
So what should we do with this? Reopen and take off the "fixed by 4.2" list or let it get closed with 4.2?
Comment 17 Rex Dieter 2009-02-09 13:12:27 EST
It's as "fixed" as we can do anything about it, keep it on the tracker, imo.

Note You need to log in before you can comment on or make changes to this bug.